## vpnc-scripts 0.1~git20220510

=== tests/Makefile ===
all: check

check:
	./vpn-routes > test-output.log 2>&1
	./vpn-noroute > test-output.log 2>&1

## vpnc-scripts 0.1~git20120602

=== debian/changelog ===
vpnc-scripts (0.1~git20120602-2) unstable; urgency=low

  * Add Vcs-* fields for the collab-maint git repository.
  * Move iproute from Depends to Recommends, vpnc-script can work
    around it if not available.

 -- Mike Miller <mtmiller@ieee.org>  Wed, 06 Jun 2012 06:58:46 -0400

vpnc-scripts (0.1~git20120602-1) unstable; urgency=low

  * Initial release. (Closes: #675131)

 -- Mike Miller <mtmiller@ieee.org>  Sat, 02 Jun 2012 08:33:04 -0400

=== debian/control ===
Source: vpnc-scripts
Section: net
Priority: optional
Maintainer: Mike Miller <mtmiller@ieee.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/vpnc-scripts.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/vpnc-scripts.git
Homepage: http://www.infradead.org/openconnect/vpnc-script.html

Package: vpnc-scripts
Architecture: all
Depends: ${misc:Depends}, net-tools
Recommends: iproute
Suggests: dnsmasq, resolvconf, openssh-server
Description: Network configuration scripts for VPNC and OpenConnect
 This package contains scripts required to configure routing and name
 services when invoked by the VPNC or OpenConnect Cisco VPN clients.
 The primary script automatically configures network routes and name
 servers for the active VPN connection. It also provides hooks for
 executing custom actions at various stages of the connection and
 disconnection process.
 .
 An alternate replacement script is also provided that contains the VPN
 in a network namespace which is accessible via SSH.

## vpnc-scripts 0.1~git20140806

=== debian/changelog ===
vpnc-scripts (0.1~git20140806-1) unstable; urgency=medium

  [ Mike Miller ]
  * New upstream version.
  * Canonicalize Vcs-* control fields.
  * Remove obsolete DM-Upload-Allowed control field.
  * Use my @debian.org address.
  * Bump Standards-Version to 3.9.5. No changes needed.

  [ Andreas Henriksson ]
  * Recommend iproute2 instead of transitional package iproute

 -- Mike Miller <mtmiller@debian.org>  Thu, 11 Sep 2014 22:28:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: vpnc-scripts
 Section: net
 Priority: optional
-Maintainer: Mike Miller <mtmiller@ieee.org>
-DM-Upload-Allowed: yes
+Maintainer: Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/vpnc-scripts.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/vpnc-scripts.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/vpnc-scripts.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vpnc-scripts.git
 Homepage: http://www.infradead.org/openconnect/vpnc-script.html
 
 Package: vpnc-scripts
 Architecture: all
 Depends: ${misc:Depends}, net-tools
-Recommends: iproute
+Recommends: iproute2
 Suggests: dnsmasq, resolvconf, openssh-server
 Description: Network configuration scripts for VPNC and OpenConnect
  This package contains scripts required to configure routing and name

## vpnc-scripts 0.1~git20150318

=== debian/changelog ===
vpnc-scripts (0.1~git20150318-1) unstable; urgency=medium

  * New upstream release.
  * Upgrade iproute2 from Recommends to Depends, preferred alternative
    over net-tools. Thanks to Andreas Henriksson for the patch. (Closes:
    #792487)
  * Update to debhelper 9.
  * Update debian/copyright for 2015. Combine paragraphs with same license.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Mike Miller <mtmiller@debian.org>  Sun, 30 Aug 2015 15:35:53 -0400

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/vpnc-scripts.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vpnc-scripts.git
 Homepage: http://www.infradead.org/openconnect/vpnc-script.html
 
 Package: vpnc-scripts
 Architecture: all
-Depends: ${misc:Depends}, net-tools
-Recommends: iproute2
+Depends: ${misc:Depends}, iproute2 | net-tools
 Suggests: dnsmasq, resolvconf, openssh-server
 Description: Network configuration scripts for VPNC and OpenConnect
  This package contains scripts required to configure routing and name

## vpnc-scripts 0.1~git20160829

=== debian/changelog ===
vpnc-scripts (0.1~git20160829-1) unstable; urgency=medium

  * New upstream version 0.1~git20160829
    - Add domain names to resolv.conf "search" field (Closes: #806733)
  * Bump debhelper compatibility level to 10
  * Run wrap-and-sort
  * d/control: Use https URIs for Vcs-* fields
  * d/copyright: Bump copyright to 2016 for debian/*
  * d/copyright: Update Format using "cme fix dpkg-copyright"
  * Bump Standards-Version to 3.9.8, no changes needed

 -- Mike Miller <mtmiller@debian.org>  Tue, 29 Nov 2016 11:41:55 -0800

=== debian/control ===
Source: vpnc-scripts
Maintainer: Mike Miller <mtmiller@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vpnc-scripts.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/vpnc-scripts.git
Homepage: http://www.infradead.org/openconnect/vpnc-script.html

Package: vpnc-scripts
Architecture: all
Depends: iproute2 | net-tools,
         ${misc:Depends}
Suggests: dnsmasq,
          openssh-server,
          resolvconf
Description: Network configuration scripts for VPNC and OpenConnect
 This package contains scripts required to configure routing and name
 services when invoked by the VPNC or OpenConnect Cisco VPN clients.
 The primary script automatically configures network routes and name
 servers for the active VPN connection. It also provides hooks for
 executing custom actions at various stages of the connection and
 disconnection process.
 .
 An alternate replacement script is also provided that contains the VPN
 in a network namespace which is accessible via SSH.

## vpnc-scripts 0.1~git20171005

=== debian/changelog ===
vpnc-scripts (0.1~git20171005-1) unstable; urgency=medium

  * New upstream version 0.1~git20171005
    - Include support for systemd-resolved (Closes: #891177)
  * Bump debhelper compatibility level to 11
  * d/copyright: Bump copyright to 2018 for debian/*
  * d/control:
    - Update Vcs-* fields for migration to salsa.d.o
    - Bump Standards-Version to 4.1.3, no changes needed

 -- Mike Miller <mtmiller@debian.org>  Fri, 23 Feb 2018 12:21:52 -0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Mike Miller <mtmiller@debian.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vpnc-scripts.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/vpnc-scripts.git
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/vpnc-scripts
+Vcs-Git: https://salsa.debian.org/debian/vpnc-scripts.git
 Homepage: http://www.infradead.org/openconnect/vpnc-script.html
 
 Package: vpnc-scripts

=== debian/rules ===
#!/usr/bin/make -f

SCRIPTS = vpnc-script vpnc-script-sshd

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/vpnc-scripts/usr/share/vpnc-scripts
	cp $(SCRIPTS) debian/vpnc-scripts/usr/share/vpnc-scripts
	chmod +x debian/vpnc-scripts/usr/share/vpnc-scripts/vpnc-script*

## vpnc-scripts 0.1~git20180227

=== debian/changelog ===
vpnc-scripts (0.1~git20180227-1) unstable; urgency=medium

  * New upstream version 0.1~git20180227
  * d/control: Bump Standards-Version to 4.1.4, no changes needed

 -- Mike Miller <mtmiller@debian.org>  Thu, 12 Apr 2018 13:07:02 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/debian/vpnc-scripts
 Vcs-Git: https://salsa.debian.org/debian/vpnc-scripts.git
 Homepage: http://www.infradead.org/openconnect/vpnc-script.html

## vpnc-scripts 0.1~git20190117

=== debian/changelog ===
vpnc-scripts (0.1~git20190117-1) unstable; urgency=medium

  * New upstream version 0.1~git20190117
    - Add attempt-reconnect invocation (Closes: #923151)
  * d/control: Bump Standards-Version to 4.3.0 (no changes needed)

 -- Mike Miller <mtmiller@debian.org>  Tue, 26 Feb 2019 10:14:42 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/vpnc-scripts
 Vcs-Git: https://salsa.debian.org/debian/vpnc-scripts.git
 Homepage: http://www.infradead.org/openconnect/vpnc-script.html

=== debian/watch ===
# For now, upstream archives are built from git once a day if needed.
# When importing, prefix the archive's date-stamp version with "0.1~git"
version=3
opts="uversionmangle=s/^/0.1~git/" \
  ftp://ftp.infradead.org/pub/vpnc-scripts/vpnc-scripts-(.*)\.tar.gz

## vpnc-scripts 0.1~git20200226

=== debian/changelog ===
vpnc-scripts (0.1~git20200226-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 20 Apr 2020 16:48:02 +0100

vpnc-scripts (0.1~git20200226-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.1_git20200226'
    (Closes: #955016)
  * Switch to debhelper-compat 12
  * Set Rules-Requires-Root: no
  * Switch to https for URLs
  * Bump Standards-Version to 4.5.0
  * Add myself to Uploaders
  * Set vpnc-scripts to Multi-Arch: foreign (Closes: #955554)

 -- Luca Boccassi <bluca@debian.org>  Thu, 02 Apr 2020 15:27:40 +0100

## vpnc-scripts 0.1~git20200930

=== debian/changelog ===
vpnc-scripts (0.1~git20200930-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.1_git20200930'

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 Oct 2020 15:29:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: vpnc-scripts
 Maintainer: Mike Miller <mtmiller@debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>,
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/vpnc-scripts
 Vcs-Git: https://salsa.debian.org/debian/vpnc-scripts.git
-Homepage: http://www.infradead.org/openconnect/vpnc-script.html
+Homepage: https://www.infradead.org/openconnect/vpnc-script.html
 
 Package: vpnc-scripts
 Architecture: all
+Multi-Arch: foreign
 Depends: iproute2 | net-tools,
          ${misc:Depends}
 Suggests: dnsmasq,

## vpnc-scripts 0.1~git20210402

=== debian/changelog ===
vpnc-scripts (0.1~git20210402-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/0.1_git20210402'
  * Bump Standards-Version to 4.5.1, no changes
  * Bump debhelper-compat to 13
  * Bump watch file version to 4

 -- Luca Boccassi <bluca@debian.org>  Wed, 18 Aug 2021 17:47:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/vpnc-scripts
 Vcs-Git: https://salsa.debian.org/debian/vpnc-scripts.git

## vpnc-scripts 0.1~git20220510

=== debian/changelog ===
vpnc-scripts (0.1~git20220510-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.1_git20220510'
    (Closes: #1010757)
  * Drop patches, merged upstream
  * Bump Standards-Version to 4.6.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 12 May 2022 20:15:11 +0100

vpnc-scripts (0.1~git20210402-2) unstable; urgency=medium

  * Backport patch to fix systemd-resolved detection (Closes: #1006738)
  * Backport patch to fix ip link syntax error in vpnc-script-sshd
    (Closes: #947820, #868293)
  * Bump Standards-Version to 4.6.0, no changes
  * Update package description
  * Bump d/copyright year range

 -- Luca Boccassi <bluca@debian.org>  Sat, 05 Mar 2022 15:57:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/vpnc-scripts
 Vcs-Git: https://salsa.debian.org/debian/vpnc-scripts.git
@@ -20,7 +20,7 @@
           resolvconf
 Description: Network configuration scripts for VPNC and OpenConnect
  This package contains scripts required to configure routing and name
- services when invoked by the VPNC or OpenConnect Cisco VPN clients.
+ services when invoked by the VPNC or OpenConnect VPN clients.
  The primary script automatically configures network routes and name
  servers for the active VPN connection. It also provides hooks for
  executing custom actions at various stages of the connection and

=== debian/watch ===
# For now, upstream archives are built from git once a day if needed.
# When importing, prefix the archive's date-stamp version with "0.1~git"
version=4
opts="uversionmangle=s/^/0.1~git/" \
  ftp://ftp.infradead.org/pub/vpnc-scripts/vpnc-scripts-(.*)\.tar.gz
